Me siga las instrucciones para el T. instalación limpia de todas, sin embargo, obtener el error:

«No hay Tal módulo Alamofire»

Las direcciones aquí:

Mientras tanto, usted puede simplemente añadir Alamofire como git submódulo, arrastre el Alamofire.archivo xcodeproj en su proyecto de Xcode, y agregar el marco de producto como una dependencia para su aplicación de destino.

Y mi capturas de pantalla

No se puede instalar Alamofire en el nuevo Proyecto de Xcode.

No se puede instalar Alamofire en el nuevo Proyecto de Xcode.

  • Usted necesita agregar el lib para el » Vínculo Binario Con las Bibliotecas de la sección también
  • Yep. Gracias. Lo que noté fue que si yo tenía que mantiene el dispositivo, me dio un error, pero cuando volví a simulador trabajado! Luego volvió a dispositivo, y no hay ningún error. Disfrutar de su recompensa. 🙂
  • Gracias:-) me ha acaba de publicar una respuesta, con un poco más de información. Feliz codificación.
  • Mismo problema con cocoapods…
  • muestra lo que un cubo de basura dev instalación de xcode es, que usted necesita para enviar capturas de pantalla en la pregunta.
  • La instrucción en stackoverflow.com/a/40360050/1804274 solucionado mi problema con éxito

11 Comentarios

  1. 40

    Asegúrese de que usted no ha agregado todos los archivos de Alamofire a su proyecto, excepto para el Alamofire.xcodeproj

    Aquí hay instrucciones paso a paso:

    1. Descargar y descomprimir Alamofire
    2. Copiar la carpeta raíz de Alamofire a cualquier subcarpeta de tu proyecto. Libs, por ejemplo.
    3. Arrastrar y soltar Alamofire.xcodeproj a su proyecto de Xcode
    4. Proyecto abierto de la configuración de su proyecto, Fases de construcción panel, con el Objetivo de ampliar las Dependencias de la sección, y agregar Alamofire como nueva dependencia
    5. Abrir panel General, ampliar Incrustado Binarios de la sección, y agregar Alamofire.marco
    6. import Alamofire //en el archivo de origen
    7. Alamofire.request(.GET, "http://httpbin.org/get") //uso Alamofire
    • El archivo LÉAME para el proyecto se actualiza ahora con diferentes pasos. La vinculación de aquí para que la gente tenga la más actualizada versión.
    • Estas direcciones (junto con el READ ME) son confusos para los newbs. Por ejemplo, el paso 2 copie la carpeta en el finder o en xcode? 3. Dónde se debe colocar la FA.xcodeproj? 4 Alamofire no vienen para arriba, ¿y ahora qué? 5, 6, 7 simplemente no funcionan porque los otros pasos fallado.
    • Así que ninguna de las respuestas aquí trabajó para mí, he pasado por esto una y otra vez, pero todavía se me pone «No hay tal módulo». El proyecto ha sido añadido en virtud de mi proyecto, la implementación de destino es el mismo (8.1) por tanto, bajo mi build target para el principal proyecto en el que he añadido Alamofire bajo el Objetivo de las Dependencias, Vínculo Binario Con las Bibliotecas y los he añadido a la Copia de los Marcos de paso, establecer el Destino de los Frameworks y se añade el Alamofire.marco de allí. Borra construir dir, eliminado los datos derivados de directorios, y sin embargo, cuando trato de hacer «importar Alamofire» me digan que no hay tal módulo. Edit: Y he probado a reiniciar el xcode.
    • Todavía no puedo conseguir que esto funcione. He seguido varios diferentes variaciones de estas instrucciones y me dan Ninguna dicho módulo, Es normal ver el marco nombres aparecen en ROJO cuando la adición de ellos a Link binario de la zona. La mina siempre se muestran como texto en rojo
    • No funciona después de la actualización de Xcode 6.3. El proyecto estaba trabajando bien antes de
    • ¿Qué acerca de las instrucciones para CocoaPods?
    • gracias me fue tratar de durar tres días. guardar mi [Tiempo=$$$]
    • Gracias hombre. Es que me ayude mucho

  2. 13

    Necesita agregar la lib para ‘ the Link Binary With Libraries sección también.

    La target Dependencies hace que la lib es de (re) construir antes de su destino (muy útil cuando usted hace cambios a la lib) y la sección de enlaces se asegura de que el lib está disponible haciendo la fase de enlazado.

    EDITAR
    La descripción anterior funciona para la mayoría de los proyectos. Sin embargo alarmofire acaba de actualizar el proceso necesario para este proyecto en particular aquí https://github.com/Alamofire/Alamofire

    • Sólo recientemente se ha comprometido a la Alamofire proyecto y hemos cambiado el repo de estado que se debe agregar a la biblioteca de los «objetivos de las Dependencias de la sección» y no el «Vínculo con el Binario» sección. Aquí está el problema con los detalles.
  3. 11

    Golpeaba mi cabeza contra esto por un par de días y pensé que volvería a poner esto aquí, nuestro equipo de proyecto tenido este problema al traer Alamofire como un submódulo. Si usted tiene su propio esquema de configuraciones, usted necesita para duplicar en el Alamofire.xcodeproj demasiado. Lo que también significa que usted necesita para horquilla Alamofire para mantener estos cambios sincronizado.

    • Esto me acaba de suceder así. No se resolverá hasta que tuve misma configuración en Alamofire como en mi aplicación de destino
    • Este fue mi tema con un marco diferente pero similar a la de integración! Hombre ¿por qué no puede apple tiene un mensaje de error como «No se de configuración «abcde» encontrado».
  4. 5

    Este orden de las Fases de construcción que ha funcionado para mí.

    • Objetivo Dependencias
    • Vínculo Binario Con Las Bibliotecas.
    • De Verificación De Las Vainas De Manifiesto.bloqueo
    • Incrustar Las Vainas De Marcos
    • Compilar Fuentes

    Puede reorganizar las Fases de construcción arrastrándolos.

  5. 4

    Después de NAlexN pasos, todavía no funciona para mí

    Yo también tuve que cambiar el orden de las Fases de construcción.

    Fue

    – Destino De Las Dependencias

    – Compilar Las Fuentes

    – Link Binario Con Las Bibliotecas.

    Después he modificado a:

    – Destino De Las Dependencias

    – Link Binario Con Las Bibliotecas.

    – Compilar Las Fuentes

    Se construyó y administra bien!

    • Esto funcionó a la perfección para mí.
  6. 2

    Me ha resuelto el error «No hay tal módulo» para un nuevo proyecto, no para Alamofire pero para otra librería llamada «RATreeView»

    He tenido que añadir

    source 'https://github.com/CocoaPods/Specs.git' 
    use_frameworks!
    pod "RATreeView", "~> 2.1.0"

    a la Podfile
    y corrió

    pod update

    La clave es agregar use_frameworks! Esto podría ayudar a alguien

  7. 1
    • Abrir su proyecto .archivo de área de trabajo
    • Abierto «Administrar Esquemas» de su proyecto en Xcode
    • Seleccione «Alamofire» en el esquema de la lista de
    • Limpiar su proyecto
    • Pasan más de la mitad de los días en busca de una respuesta, y guarda mi día a día. Muchas gracias
  8. 0

    Lo que funcionó para mí: Incluyendo «Vainas.marco» en «Vinculado Marcos y Bibliotecas» de su destino si no existe ya. (Esto se aplica en caso de que usted está usando cocoapods y están utilizando frameworks como módulos)

  9. 0

    Yo tenía el mismo problema,haciendo que Comando+B (proyecto de Construir) y desaparecen de error.

Dejar respuesta

Please enter your comment!
Please enter your name here